import matplotlib.pyplot as plt
numargs = cauchy.numargs
[  ] = [0.9,] * numargs
rv = cauchy()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = cauchy.cdf(x, )
h = plt.semilogy(np.abs(x - cauchy.ppf(prb, )) + 1e-20)

# Random number generation

R = cauchy.rvs(size=100)
